package mainservice

import (
	"f5"
	v1 "main/api/v1"
)

type MainServiceRouter struct{}

func (this *MainServiceRouter) InitRouter() {
	api := v1.ApiGroupApp.MainServiceApiGroup
	f5.GetApp().GetGinEngine().GET("/api/service/refresh",
		api.RefreshToken)
	f5.GetApp().GetGinEngine().GET("/wx/tnotify",
		api.WxTNotify)
	f5.GetApp().GetGinEngine().POST("/wx/tnotify",
		api.WxNotifyPurchase)
	f5.GetApp().GetGinEngine().GET("/wx/msgnotify",
		api.WxMsgTNotify)
	f5.GetApp().GetGinEngine().POST("/wx/msgnotify",
		api.WxMsgNotify)
	f5.GetApp().GetGinEngine().GET("/wx/clicknotify",
		api.WxClickNotify)
	f5.GetApp().GetGinEngine().POST("/wx/paynotify",
		api.WxPayNotify)
}
